Package org.bukkit.event.entity

# Class EntityExhaustionEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityExhaustionEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityExhaustionEvent extends EntityEvent implements Cancellable
Called when a human entity experiences exhaustion. An exhaustion level greater than 4.0 causes a decrease in saturation by 1.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EntityExhaustionEvent.ExhaustionReason`
The reason for why a PlayerExhaustionEvent takes place

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityExhaustionEvent(@NotNull HumanEntity who, @NotNull EntityExhaustionEvent.ExhaustionReason exhaustionReason, float exhaustion)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull HumanEntity`
`getEntity()`
Returns the Entity involved in this event
`float`
`getExhaustion()`
Get the amount of exhaustion to add to the player's current exhaustion.
`@NotNull EntityExhaustionEvent.ExhaustionReason`
`getExhaustionReason()`
Gets the `EntityExhaustionEvent.ExhaustionReason` for this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setExhaustion(float exhaustion)`
Set the exhaustion to apply to the player.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityExhaustionEvent

public EntityExhaustionEvent(@NotNull @NotNull HumanEntity who, @NotNull @NotNull EntityExhaustionEvent.ExhaustionReason exhaustionReason, float exhaustion)

## Method Details

### getExhaustionReason

@NotNull public @NotNull EntityExhaustionEvent.ExhaustionReason getExhaustionReason()
Gets the `EntityExhaustionEvent.ExhaustionReason` for this event

Returns:
  the exhaustion reason

### getExhaustion

public float getExhaustion()
Get the amount of exhaustion to add to the player's current exhaustion.

Returns:
  amount of exhaustion

### setExhaustion

public void setExhaustion(float exhaustion)
Set the exhaustion to apply to the player. The maximum exhaustion that a player can have is 40. No error will be thrown if this limit is hit. This value may be negative, but there is unknown behavior for when exhaustion is below 0.

Parameters:
  `exhaustion` - new exhaustion to add

### getEntity

@NotNull public @NotNull HumanEntity getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()